import { world, system } from "@minecraft/server";
    

world.beforeEvents.worldInitialize.subscribe(initEvent => { initEvent.itemComponentRegistry.registerCustomComponent('apple_emerald:trigger', {
  onConsume: e => {
  e.source.addEffect("minecraft:instant_health", 2, {amplifier: 4});
e.source.addEffect("minecraft:regeneration", 21, {amplifier: 5});
e.source.addEffect("minecraft:resistance", 50, {amplifier: 3});
e.source.addEffect("minecraft:speed", 44, {amplifier: 3});
  
},

  
});

initEvent.itemComponentRegistry.registerCustomComponent('apple_redstone:trigger', {
  onConsume: e => {
  e.source.addEffect("minecraft:absorption", 30, {amplifier: 5});
e.source.addEffect("minecraft:haste", 30, {amplifier: 3});
e.source.addEffect("minecraft:village_hero", 30, {amplifier: 2});
e.source.addEffect("minecraft:saturation", 30, {amplifier: 1});
e.source.addEffect("minecraft:speed", 30, {amplifier: 3});
  
},

  
});

initEvent.itemComponentRegistry.registerCustomComponent('apple_netherite:trigger', {
  onConsume: e => {
  e.source.addEffect("minecraft:absorption", 30, {amplifier: 5});
e.source.addEffect("minecraft:haste", 30, {amplifier: 6});
e.source.addEffect("minecraft:health_boost", 30, {amplifier: 10});
e.source.addEffect("minecraft:village_hero", 30, {amplifier: 5});
e.source.addEffect("minecraft:instant_health", 10, {amplifier: 3});
e.source.addEffect("minecraft:jump_boost", 30, {amplifier: 2});
e.source.addEffect("minecraft:regeneration", 30, {amplifier: 3});
e.source.addEffect("minecraft:resistance", 30, {amplifier: 3});
e.source.addEffect("minecraft:saturation", 30, {amplifier: 1});
e.source.addEffect("minecraft:speed", 30, {amplifier: 1});
e.source.addEffect("minecraft:strength", 14, {amplifier: 3});
  
},

  
});

initEvent.itemComponentRegistry.registerCustomComponent('apple_diamondapple:trigger', {
  onConsume: e => {
  e.source.addEffect("minecraft:absorption", 30, {amplifier: 10});
e.source.addEffect("minecraft:haste", 68, {amplifier: 5});
e.source.addEffect("minecraft:health_boost", 68, {amplifier: 9});
e.source.addEffect("minecraft:instant_health", 5, {amplifier: 5});
e.source.addEffect("minecraft:resistance", 10, {amplifier: 2});
e.source.addEffect("minecraft:speed", 90, {amplifier: 2});
e.source.addEffect("minecraft:strength", 30, {amplifier: 2});
  
},

  
});

initEvent.itemComponentRegistry.registerCustomComponent('apple_enchemerledapple:trigger', {
  onConsume: e => {
  e.source.addEffect("minecraft:village_hero", 30, {amplifier: 1});
e.source.addEffect("minecraft:invisibility", 30, {amplifier: 1});
e.source.addEffect("minecraft:resistance", 100, {amplifier: 5});
e.source.addEffect("minecraft:saturation", 30, {amplifier: 1});
e.source.addEffect("minecraft:slow_falling", 30, {amplifier: 1});
e.source.addEffect("minecraft:speed", 30, {amplifier: 1});
e.source.addEffect("minecraft:water_breathing", 30, {amplifier: 1});
  
},

  
});

initEvent.itemComponentRegistry.registerCustomComponent('apple_lapis:trigger', {
  onConsume: e => {
  e.source.addEffect("minecraft:instant_health", 30, {amplifier: 1});
e.source.addEffect("minecraft:invisibility", 30, {amplifier: 1});
e.source.addEffect("minecraft:jump_boost", 30, {amplifier: 1});
e.source.addEffect("minecraft:saturation", 30, {amplifier: 1});
e.source.addEffect("minecraft:slow_falling", 30, {amplifier: 1});
e.source.addEffect("minecraft:speed", 30, {amplifier: 1});
e.source.addEffect("minecraft:water_breathing", 30, {amplifier: 1});
  
},

  
});

initEvent.itemComponentRegistry.registerCustomComponent('apple_ironapple:trigger', {
  onConsume: e => {
  e.source.addEffect("minecraft:instant_health", 6, {amplifier: 1});
e.source.addEffect("minecraft:regeneration", 30, {amplifier: 1});
e.source.addEffect("minecraft:resistance", 30, {amplifier: 2});
e.source.addEffect("minecraft:strength", 30, {amplifier: 2});
  
},

  
});
 });
